# LNT (aka Zorg) configuration file
#
# Paths are resolved relative to this file.

# The configuration file version.
config_version = (0, 1, 0)

# Name to use for this installation. This appears in web page headers, for
# example.
name = 'LNT'

secret_key = "LNT123"

# Path to the LNT server. This is required for use in emails where we need to
# provide an absolute URL to the server.
zorgURL = 'http://ozzy-2.local/perf'

# Temporary directory, for use by the web app. This must be writable by the user
# the web app runs as.
tmp_dir = 'lnt_tmp'

# Database directory, for easily rerooting the entire set of databases. Database
# paths are resolved relative to the config path + this path.
db_dir = 'data'

# The list of available databases, and their properties. At a minimum, there
# should be a 'default' entry for the default database.
databases = {
    'default' : { 'path' : 'lnt.db',
                  'db_version' : '0.4' },
    }

# The LNT email configuration.
#
# The 'to' field can be either a single email address, or a list of
# (regular-expression, address) pairs. In the latter form, the machine name of
# the submitted results is matched against the regular expressions to determine
# which email address to use for the results.
nt_emailer = {
    'enabled' : False,
    'host' : None,
    'from' : None,

    # This is a list of (filter-regexp, address) pairs -- it is evaluated in
    # order based on the machine name. This can be used to dispatch different
    # reports to different email address.
    'to' : [(".*", None)],
    }

# Enable automatic restart using the wsgi_restart module; this should be off in
# a production environment.
wsgi_restart = False

blacklist = 'blacklist'
